package com.logicbig.example;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.time.LocalDateTime;

@Controller
@RequestMapping("/")
public class MyController {

    @GetMapping("/")
    public String mainView() {
        return "main";
    }

    @GetMapping("/report")
    public String handleForexRequest(Model model) {
        model.addAttribute("report", getReport());
        return "reportView";
    }

    public Report getReport() {
        //dummy report
        Report report = new Report();
        report.setName("My Report");
        report.setContent("Lorem ipsum dolor sit amet, consectetuer adipiscing elit. "
                + "Aenean commodo ligula eget dolor. Aenean massa.");
        report.setDate(LocalDateTime.now());
        return report;
    }
}